﻿@using Umbraco.Web.PublishedModels

@inherits UmbracoViewPage
@{
    var homeNodeTyped = Umbraco.AssignedContentItem.Root() as Home;
}
<header class="page-header">
    <div class="btn-slide-line">
        <button class="menu-btn-wrap">
            <span class="icon-menu-wrapper">
                <span class="icon-menu"></span>
                <span class="icon-menu"></span>
                <span class="icon-menu"></span>
            </span>
        </button>
        <div class="scroll-slide-line" id="scroll-line">
            <span class="scroll-slide-line__text" id="scroll-line-text">
                <span class="desktoptext">
                    Lorem ipsum
                    dolor
                </span><span class="mobiletext">Lorem mobile</span>
            </span>

        </div>
    </div>
    @*
    <div class="search-btn-wrp js-UtilButton" id="searchBtn">
        <span data-jam="search" data-fill="#435600" data-width="40" data-height="40" style="transform: rotate(-45deg);font-size:40px;color:#435600;">⚲</span>
    </div> *@
    <div class="search-btn-wrp js-UtilButton icon-closes close-search" id="searchBtnClose">
        <span class="icon-menu-wrapper">
            <span class="icon-menu"></span>
            <span class="icon-menu"></span>
            <span class="icon-menu"></span>
        </span>
    </div>
   
</header>

<div class="menu-wrp flex-container flex-container--jastify-between">
    <div class="left-part flex-container flex-container--column flex-container--align-center">
        <a href="/" class="menu-logo">
            @if (homeNodeTyped.HasValue("siteLogo"))
            {
                <img src="@homeNodeTyped.Value("siteLogo")" alt="@homeNodeTyped.BoCompanyName"  />
            }
            else
            {
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 177.778 100"><path d="M41.419,48.371A3.656,3.656,0,0,0,40.373,51.3l-.018-.018a4.344,4.344,0,0,1-4.694,4.694l.018.018A3.678,3.678,0,1,0,39,59.312l.019.018a4.344,4.344,0,0,1,4.694-4.694l-.019-.018a3.671,3.671,0,1,0-2.272-6.247Z" fill="#394149" /><path d="M34.042,53.636l-.019-.018A3.631,3.631,0,0,0,38,49.644l.019.018a4.344,4.344,0,0,1,4.694-4.694l-.019-.018a3.678,3.678,0,1,0-3.318-3.318l-.018-.019a4.343,4.343,0,0,1-4.694,4.694l.018.019A3.631,3.631,0,0,0,30.705,50.3l-.018-.018a4.345,4.345,0,0,1-4.694,4.694l.018.018a3.678,3.678,0,1,0,3.318,3.318l.019.018A4.344,4.344,0,0,1,34.042,53.636Z" fill="#394149" /><path d="M27.34,51.629A3.652,3.652,0,0,0,28.385,48.7l.019.018A4.344,4.344,0,0,1,33.1,44.024l-.019-.018a3.677,3.677,0,1,0-3.318-3.318l-.018-.018a4.344,4.344,0,0,1-4.694,4.694l.018.018a3.671,3.671,0,1,0,2.273,6.247Z" fill="#394149" /><path d="M58.317,41.655h2.97V56.108h-2.97Z" fill="#394149" /><path d="M62.969,51.159a5.247,5.247,0,1,1,5.247,5.226A5.188,5.188,0,0,1,62.969,51.159Zm7.524,0A2.278,2.278,0,1,0,68.216,53.5,2.221,2.221,0,0,0,70.493,51.159Z" fill="#394149" /><path d="M85.3,46.209v9.4c0,3.326-2.594,4.732-5.227,4.732a5.062,5.062,0,0,1-4.692-2.4l2.534-1.465a2.262,2.262,0,0,0,2.257,1.247,1.973,1.973,0,0,0,2.237-2.118V54.7a3.516,3.516,0,0,1-2.891,1.287,5.031,5.031,0,0,1,0-10.057,3.516,3.516,0,0,1,2.891,1.287v-1.01ZM82.41,50.96a2.4,2.4,0,1,0-2.395,2.3A2.24,2.24,0,0,0,82.41,50.96Z" fill="#394149" /><path d="M86.982,51.159a5.247,5.247,0,1,1,5.247,5.226A5.188,5.188,0,0,1,86.982,51.159Zm7.524,0A2.278,2.278,0,1,0,92.229,53.5,2.221,2.221,0,0,0,94.506,51.159Z" fill="#394149" /><path d="M98.861,43.556a1.782,1.782,0,1,1,1.782,1.782A1.8,1.8,0,0,1,98.861,43.556Zm.3,2.653h2.971v9.9H99.157Z" fill="#394149" /><path d="M114.956,51.159a4.971,4.971,0,0,1-4.732,5.226,3.715,3.715,0,0,1-2.949-1.208v4.891h-2.97V46.209h2.97v.93a3.717,3.717,0,0,1,2.949-1.207A4.97,4.97,0,0,1,114.956,51.159Zm-2.97,0a2.356,2.356,0,1,0-2.355,2.415A2.26,2.26,0,0,0,111.986,51.159Z" fill="#394149" /><path d="M124.121,53.138c0,2.277-1.979,3.247-4.117,3.247a4.335,4.335,0,0,1-4.257-2.356l2.573-1.465A1.627,1.627,0,0,0,120,53.732c.712,0,1.069-.218,1.069-.613,0-1.09-4.871-.515-4.871-3.94,0-2.159,1.822-3.247,3.881-3.247a4.329,4.329,0,0,1,3.86,2.118l-2.534,1.366a1.437,1.437,0,0,0-1.326-.871c-.515,0-.832.2-.832.554C119.251,50.228,124.121,49.475,124.121,53.138Z" fill="#394149" /><path d="M134.97,46.209v9.9H132v-.931a3.382,3.382,0,0,1-2.83,1.208c-2,0-3.7-1.425-3.7-4.1V46.209h2.97v5.642a1.632,1.632,0,0,0,1.722,1.8c1.089,0,1.841-.633,1.841-2.039v-5.4Z" fill="#394149" /><path d="M152,50.03v6.078h-2.97V50.287c0-.99-.475-1.623-1.425-1.623-.99,0-1.545.693-1.545,1.861v5.583h-2.969V50.287c0-.99-.475-1.623-1.426-1.623-.99,0-1.544.693-1.544,1.861v5.583h-2.97v-9.9h2.97v.91a3.039,3.039,0,0,1,2.653-1.187,2.945,2.945,0,0,1,2.593,1.306,3.262,3.262,0,0,1,2.871-1.306C150.511,45.932,152,47.555,152,50.03Z" fill="#394149" /><circle cx="154.512" cy="43.944" r="2.204" fill="#394149" /></svg>
            }
        </a>
        <div class="content-wrp" id="left-content">
            <ul class="menu">
                @if (homeNodeTyped.BoMainNavigation != null && homeNodeTyped.BoMainNavigation.Any())
                {
                    foreach (var item in homeNodeTyped.BoMainNavigation)
                    {
                        <li class="menu__item">
                            <a href="@item.Url">@item.Name</a>
                        </li>
                    }
                }
                else
                {
                    <li class="menu__item">
                        <a href="@homeNodeTyped.Url">@homeNodeTyped.Name</a>
                    </li>

                    var nodesUnderTheeRoot = homeNodeTyped.Children.Where(x => x.IsVisible()).ToList();
                    foreach (var item in nodesUnderTheeRoot)
                    {
                        <li class="menu__item">
                            <a href="@item.Url">@item.Name</a>
                        </li>
                    }
                }
            </ul>
        </div>
    </div>
    @{
        var secondaryMenuItems = homeNodeTyped.BoSecondaryMenu;
        var SocialMenuItems = homeNodeTyped.BoSocialMediaLinks;
    }

    <div class="right-part flex-container flex-container--column flex-container--align-center">
        <div class="content-wrp" id="right-content">
            @if (secondaryMenuItems != null && secondaryMenuItems.Any())
            {
                foreach (var item in secondaryMenuItems)
                {
                    var link = item.Value<Umbraco.Web.Models.Link>("boLink");
                    <div class="block-info">
                        @if (link != null)
                        {
                            <a href="@link.Url" target="@link.Target" class="block-info__title">
                                @link.Name
                                <span class="block-info__description">@item.Value("boLinkSubText")</span>
                            </a>
                        }
                    </div>
                }
            }
            @*
            <div class="block-info">
                <div id="sign-up">
                    <div class="block-info__title">
                        Få økopost
                    </div>
                    <div class="block-info__description" id="text-hidden">
                        Bliv fodret med stærke nyheder og fakta om økologi.
                    </div>
                </div>
                <form action="#" method="post" class="sign-up-form">
                    <div class="pre-form-text" id="form-text">
                        Tilmeld dig
                        nyhedsbrevet ØkoPosten og få opdateringer om øko-events og ikke mindst lækre økologiske opskrifter.
                    </div>
                    <div class="first-step">
                        <input type="text" name="name" placeholder="skriv dit navn" />
                        <button type="button" class="btn btn--menu" id="next">

                            <?xml version="1.0" encoding="utf-8" ?>
                            <!-- Generator: Adobe Illustrator 21.1.0, SVG Export Plug-In . SVG Version: 6.00 Build 0)  -->
                            <svg version="1.1" id="Lag_1" xmlns="http://www.w3.org/2000/svg"
                                 xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 64.8 133.4"
                                 style="enable-background:new 0 0 64.8 133.4;" xml:space="preserve">
                            <polygon class="st0" points="0,32.7 0,0 64.8,65.9 0,133.4 0,99.6 32.9,66.1 " />
                            </svg>

                        </button>
                    </div>
                    <div class="second-step hidden-input">
                        <input type="email" name="email" placeholder="email" id="email" />
                        <button type="submit" class="btn btn--menu btn--menu-ind" id="submit-btn">Send</button>
                    </div>
                </form>
            </div>
            *@
        <div class="block-info__social">
            @if (SocialMenuItems != null && SocialMenuItems.Any())
            {
                foreach (var link in SocialMenuItems)
                {
                    if (link.Url.ToLower().Contains("facebook"))
                    {
                        <a href="@link.Url" target="@link.Target">
                            <svg xmlns="http://www.w3.org/2000/svg" viewBox="-2 -2 24 24" width="34" style="fill: inherit" height="34" preserveAspectRatio="xMinYMin" class="jam-icon jam-14"><path d="M8.695 6.937v1.377H7.687v1.683h1.008V15h2.072V9.997h1.39s.131-.807.194-1.69h-1.576v-1.15c0-.173.226-.404.45-.404h1.128V5h-1.535C8.644 5 8.695 6.685 8.695 6.937z"></path><path d="M4 2a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V4a2 2 0 0 0-2-2H4zm0-2h12a4 4 0 0 1 4 4v12a4 4 0 0 1-4 4H4a4 4 0 0 1-4-4V4a4 4 0 0 1 4-4z"></path></svg>
                        </a>
                    }
                    if (link.Url.ToLower().Contains("instagram"))
                    {
                        <a href="@link.Url" target="@link.Target">
                            <svg xmlns="http://www.w3.org/2000/svg" viewBox="-2 -2 24 24" width="34" style="fill: inherit" height="34" preserveAspectRatio="xMinYMin" class="jam-icon jam-2"><path d="M14.017 0h-8.07A5.954 5.954 0 0 0 0 5.948v8.07a5.954 5.954 0 0 0 5.948 5.947h8.07a5.954 5.954 0 0 0 5.947-5.948v-8.07A5.954 5.954 0 0 0 14.017 0zm3.94 14.017a3.94 3.94 0 0 1-3.94 3.94h-8.07a3.94 3.94 0 0 1-3.939-3.94v-8.07a3.94 3.94 0 0 1 3.94-3.939h8.07a3.94 3.94 0 0 1 3.939 3.94v8.07z"></path><path d="M9.982 4.819A5.17 5.17 0 0 0 4.82 9.982a5.17 5.17 0 0 0 5.163 5.164 5.17 5.17 0 0 0 5.164-5.164A5.17 5.17 0 0 0 9.982 4.82zm0 8.319a3.155 3.155 0 1 1 0-6.31 3.155 3.155 0 0 1 0 6.31z"></path><circle cx="15.156" cy="4.858" r="1.237"></circle></svg>
                        </a>
                    }
                    if (link.Url.ToLower().Contains("twitter"))
                    {
                        <a href="@link.Url" target="@link.Target">
                            <svg xmlns="http://www.w3.org/2000/svg" viewBox="-2 -2 24 24" width="34" style="fill: inherit" height="34" preserveAspectRatio="xMinYMin" class="jam-icon jam-1"><path d="M15 6.947c-.368.16-.763.27-1.178.318.424-.25.748-.646.902-1.117-.398.231-.836.4-1.304.49A2.06 2.06 0 0 0 11.923 6c-1.133 0-2.051.905-2.051 2.02 0 .158.018.312.053.46a5.854 5.854 0 0 1-4.228-2.11 1.982 1.982 0 0 0-.278 1.015c0 .7.363 1.32.913 1.681a2.076 2.076 0 0 1-.93-.253v.025a2.03 2.03 0 0 0 1.646 1.98 2.108 2.108 0 0 1-.927.034 2.049 2.049 0 0 0 1.916 1.403 4.156 4.156 0 0 1-2.548.864c-.165 0-.328-.01-.489-.028A5.863 5.863 0 0 0 8.144 14c3.774 0 5.837-3.078 5.837-5.748l-.007-.262A4.063 4.063 0 0 0 15 6.947z"></path><path d="M4 2a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V4a2 2 0 0 0-2-2H4zm0-2h12a4 4 0 0 1 4 4v12a4 4 0 0 1-4 4H4a4 4 0 0 1-4-4V4a4 4 0 0 1 4-4z"></path></svg>
                        </a>
                    }
                    if (link.Url.ToLower().Contains("linkedin"))
                    {
                        <a href="@link.Url" target="@link.Target">
                            <svg xmlns="http://www.w3.org/2000/svg" viewBox="-2 -2 24 24" width="34" style="fill: inherit" height="34" preserveAspectRatio="xMinYMin" class="jam-icon jam-5"><path d="M15 11.13v3.697h-2.143v-3.45c0-.866-.31-1.457-1.086-1.457-.592 0-.945.398-1.1.784-.056.138-.071.33-.071.522v3.601H8.456s.029-5.842 0-6.447H10.6v.913l-.014.021h.014v-.02c.285-.44.793-1.066 1.932-1.066 1.41 0 2.468.922 2.468 2.902zM6.213 5.271C5.48 5.271 5 5.753 5 6.385c0 .62.466 1.115 1.185 1.115h.014c.748 0 1.213-.496 1.213-1.115-.014-.632-.465-1.114-1.199-1.114zm-1.086 9.556h2.144V8.38H5.127v6.447z"></path><path d="M4 2a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V4a2 2 0 0 0-2-2H4zm0-2h12a4 4 0 0 1 4 4v12a4 4 0 0 1-4 4H4a4 4 0 0 1-4-4V4a4 4 0 0 1 4-4z"></path></svg>
                        </a>
                    }
                    if (link.Url.ToLower().Contains("youtube"))
                    {
                        <a href="@link.Url" target="@link.Target">
                            <svg xmlns="http://www.w3.org/2000/svg" viewBox="-2 -2 24 24" width="34" style="fill: inherit" height="34" preserveAspectRatio="xMinYMin" class="jam-icon jam-3"><path d="M12.923 6.526H7.077C5.93 6.526 5 7.446 5 8.58v2.89c0 1.135.93 2.054 2.077 2.054h5.846c1.147 0 2.077-.92 2.077-2.054V8.58c0-1.135-.93-2.054-2.077-2.054zm-1.404 3.64l-2.735 1.29a.11.11 0 0 1-.157-.099v-2.66a.11.11 0 0 1 .16-.097l2.734 1.37c.081.042.08.157-.002.196z"></path><path d="M4 2a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V4a2 2 0 0 0-2-2H4zm0-2h12a4 4 0 0 1 4 4v12a4 4 0 0 1-4 4H4a4 4 0 0 1-4-4V4a4 4 0 0 1 4-4z"></path></svg>
                        </a>
                    }
                }
            }


        </div>
        </div>
    </div>
</div>

<div class="search-wrp flex-container flex-container--jastify-between">
    <div class="search-wrp__left-part flex-container flex-container--column flex-container--align-center">

        <div class="content-wrp" id="search__left-content">
            <form class="search-form">
                <input type="text" name="search" class="search-input" id="searchInput" data-api-url="/umbraco/api/SearchApi/getsearchresult" placeholder="What do you need?" />
            </form>
        </div>
    </div>

    <div class="search-wrp__right-part flex-container flex-container--column flex-container--align-center">
        <div class="search__loading" style="--n: 5">
            <div class="dot" style="--i: 0"></div>
            <div class="dot" style="--i: 1"></div>
            <div class="dot" style="--i: 2"></div>
            <div class="dot" style="--i: 3"></div>
            <div class="dot" style="--i: 4"></div>
        </div>
        <div class="content-wrp" id="search__right-content">
        </div>
    </div>
</div>



<!--
<div class="popup">
  <div class="popuo-overlay"></div>
  <div class="popup-content">
    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. A doloribus ipsum non numquam. Aliquid aspernatur
      deleniti distinctio dolore, esse in magni minus numquam odit soluta. Aperiam modi nemo placeat voluptates!</p>
    <a href="#" class="btn btn--popup" id="close-popup">Close</a>
  </div>
</div>
-->
